[chirp_users] New Python coming?

jimmcc at mccorison.com jimmcc at mccorison.com
Tue Mar 5 09:31:55 PST 2019


The issue is that you must use a specific version of Python, linked to  
on the install page, for macOS. There is no 64-bit version of it  
available. Starting with the next release of MacOS, 32-bit executables  
will no longer be supported. Hence, without an upgrade path, Chirp on  
Mac will be dead.

Jim
K2SON

Quoting Richard Shaw <hobbes1069 at gmail.com>:

> I'm still confused about this conversation... Is the MacOS version somehow
> arch dependent? CHIRP is pure python (noarch). It shouldn't care if it's
> using a 32bit or 64bit version of Python....
>
> Thanks,
> Richard
> KF5OIM






More information about the chirp_users mailing list